
           /* Vertical scrollbar */
        *::-webkit-scrollbar {
          width: 7px;
        }
        
        /* Horizontal scrollbar */
        *::-webkit-scrollbar {
          height: 10px !important;
        }

        
        /* Track */
        *::-webkit-scrollbar-track {
          background: rgb(255,255,255,50%);
        }
        
        /* Handle */
        *::-webkit-scrollbar-thumb {
          background: #94a3b8;
          border-radius: 10px;
        }
        
        /* Handle on hover */
        *::-webkit-scrollbar-thumb:hover {
          background: #beda21;
        }

 /* Force light mode */
@media (prefers-color-scheme: dark) {
    body {
        background-color: #fff; /* Set a light background color */
        color: #000; /* Set dark text color */
    }

    .header {
        background-color: #f0f0f0; /* Light background color for header */
        color: #000; /* Dark text color for header */
    }
    
      /* Track */
        *::-webkit-scrollbar-track {
          background: #1f2937 !important;
          border-radius: 10px;
          padding: 2px;
        }
        
         /* Handle */
        *::-webkit-scrollbar-thumb {
          background: #374151;
          border-radius: 10px;
        }

}


.scrollable-element {
  width: 200px;
  height: 150px;
  overflow-y: auto;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.scrollable-element::-webkit-scrollbar {
  display: none;
}


.scrollable-small {
  width: auto;
  height: auto;
  max-height: 16rem;
  overflow-y: auto;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.scrollable-element-large {
  width: auto;
  height: 450px;
  overflow-y: auto;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.scrollable-small::-webkit-scrollbar {
  display: none;
}

.scrollable-large::-webkit-scrollbar {
  display: none;
}

.tablescroll-element {
  overflow-y: auto;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.dyanmicscroll-element {
  overflow-y: auto;
  overflow-x: auto;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.scrollable-element::-webkit-scrollbar {
  display: none;
}

html {
   -webkit-tap-highlight-color: transparent;
}

/* Target the date input's icon */
input[type="date"]::-webkit-calendar-picker-indicator {
  opacity: 0;
  cursor: pointer; /* Ensure it still looks clickable */
}

/* Target the date input's icon */
input[type="time"]::-webkit-calendar-picker-indicator {
  opacity: 0;
  cursor: pointer; /* Ensure it still looks clickable */
}

/* Basic tooltip styling */
.tooltip,
.tooltip2,
.tooltip3 {
  position: relative;
  cursor: pointer;
}



/* Tooltip text */
.tooltip::after {
  content: attr(data-tooltip);
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  padding: 3px 5px;
  background-color: #333;
  color: #fff;
  border-radius: 5px;
  overflow-wrap: break-word;
  font-size: 12px;
  font-weight: 400;
  height:auto;
  opacity: 0; /* Hide the tooltip by default */
  visibility: hidden;
  z-index:999;
   white-space: nowrap; /* Prevent tooltip from wrapping */
  transition: opacity 0.5s ease-in-out;
  pointer-events: none; /* Ensure the tooltip doesn't interfere with clicks */
}

.bulacan::after {
  content: attr(data-bulacan);
  position: absolute;
  top: 50%;
  left: 100%; /* show tooltip on the right */
  transform: translateY(-50%); /* vertically center relative to the element */

  padding: 3px 6px;
  background-color: #333;
  color: #fff;
  border-radius: 5px;
  font-size: 12px;
  font-weight: 400;

  white-space: nowrap;
  opacity: 0;
  visibility: hidden;
  z-index: 999;
  pointer-events: none;
  margin-left: 8px; /* spacing between icon and tooltip */

  transition: opacity 0.25s ease-in-out;
}

/* Show tooltip on hover */
.bulacan:hover::after {
  opacity: 1;
  visibility: visible;
}

.bulacan::after {
  transform: translateX(-50%) translateY(5px); /* initial offset */
}

.bulacan:hover::after {
  transform: translateX(-50%) translateY(0); /* move up slightly on hover */
}


/* Tooltip text */
.tooltip2::after {
  content: attr(data-tooltip2);
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  padding: 3px 5px;
  background-color: #333;
  color: #fff;
  border-radius: 5px;
  font-size: 12px;
  opacity: 0; /* Hide the tooltip by default */
  visibility: hidden;
  z-index:999;
  transition: opacity 0.2s ease-in-out;
    white-space: pre-line;
  pointer-events: none; /* Ensure the tooltip doesn't interfere with clicks */
}

/* Tooltip text */
.tooltip3::after {
  content: attr(data-tooltip);
  position: absolute;
  top: 100%;
  left: 200%;
  transform: translateX(-50%);
  padding: 2px 4px 2px 4px;
  background-color: #333;
  color: #fff;
  border-radius: 5px;
  font-size: 12px;
  opacity: 0; /* Hide the tooltip by default */
  visibility: hidden;
  z-index:999 !important;
  transition: opacity 0.2s ease-in-out;
  white-space: nowrap; /* Prevent tooltip from wrapping */
  pointer-events: none; /* Ensure the tooltip doesn't interfere with clicks */
}

/* Tooltip text */
.tooltip4::after {
  content: attr(data-tooltip);
  position: absolute;
  top: 100%;
  right: 50%;
  transform: translateX(0%);
  padding: 3px 5px;
  background-color: #333;
  color: #fff;
  border-radius: 5px;
  font-size: 12px;
  opacity: 0; /* Hide the tooltip by default */
  visibility: hidden;
  z-index:999;
  transition: opacity 0.2s ease-in-out;
  white-space: nowrap; /* Prevent tooltip from wrapping */
  pointer-events: none; /* Ensure the tooltip doesn't interfere with clicks */
}

/* Tooltip text */
.tooltip9::after {
  content: attr(data-tooltip);
  position: absolute;
   top: 100%;
  left: 50%;
  transform: translateX(-50%);
  padding: 3px 5px;
  background-color: #333;
  color: #fff;
  border-radius: 5px;
  font-size: 12px;
  opacity: 0; /* Hide the tooltip by default */
  visibility: hidden;
  z-index:999;
  transition: opacity 0.2s ease-in-out;
  white-space: nowrap; /* Prevent tooltip from wrapping */
  pointer-events: none; /* Ensure the tooltip doesn't interfere with clicks */
}

.tooltip:hover::after,
.tooltip2:hover::after,
.tooltip9:hover::after,
.tooltip4:hover::after,
.tooltip3:hover::after {
  opacity: 1;
  z-index: 999;
  visibility: visible;
}

/* Adjust the tooltip position for smaller viewports */
@media screen and (max-width: 600px) {
  .tooltip::after,
  .tooltip2::after,
  .tooltip9::after,
   .tooltip4::after,
  .tooltip3::after,
  .bulacan::after
 {
    top: auto;
    bottom: 100%;
    transform: translate(-50%, 5px);
    z-index:999;
  }
}



    .smooth_draggable {
    transition-timing-function: cubic-bezier(0.42, 0, 0.58, 1);
}

button:focus {
  outline: none !important;
}

.draggingT {
    opacity: 0.5;
  }
  .drag-overT {
    border: 2px dashed #000;
  }


